<!DOCTYPE html>
{% extends 'en/base.html' %}
{% block content %}
    {% include 'en/navbar.html' %}
    <div class="container">
        <div class="row">
            <div class="col">
 		<h4>Additional report for  <strong>{{target}}</strong> </h4>
		<p> Fraction of elements in the dataset with class value 1  for {{target}}  is {{rt}}</p>
                <p> Evaluated the model <strong>{{name}} </strong> for the features: </p><p>
   		{% for p  in predictors %}
 			<span class="badge bg-primary"> {{p}} </span>
		{% endfor %}
			</p>
                <p> ComputedS SHAP values. Average values are for  <strong>class 0 = {{shap_expected_values[0]}}</strong> and for 
		<strong> class 1 = {{shap_expected_values[1]}} </strong>
		 </p> 
                
		<p>Shap summary for features </p>
		<p>
		
                 	{#<img class="img-fluid" src="data:image/png;base64,{{decplot}}"/>#}
		</p>
		<p>
		
                {{force_all | safe}}
		</p>
             <table class="table">
			<thead class="table-primary">
			    <tr >
			      <th scope="col">Prediction</th>
			      <th scope="col">Real</th>
   			     {% for f  in predictors %}
                            
			      <th scope="col">{{f}}</th>
				{% endfor %} 
			    </tr>
 			</thead>
   			{% for i  in report[0] %}
                	<tr>
			    <thead class="table-primary">
			    <tr >
			      <th scope="col">Prediction</th>
			      <th scope="col">Real</th>
   			     {% for f  in predictors %}
                            
			      <th scope="col">{{f}}</th>
				{% endfor %} 
			    </tr>
 			</thead>
		   	    <td>{{i}} </td>
		   	    <td>{{report[1][loop.index0]}} </td>
                           {% set rowloop = loop %}
   			     {% for f  in predictors %}
		   	    <td>{{report[2+loop.index0][rowloop.index0]}} </td>
			{% endfor %} 
                        </tr>
			<tr><td colspan="6">
                 	<img class="img-fluid" src="data:image/png;base64,{{waterfall[loop.index0]}}"/>
			</td>
                        </tr>
		{% endfor %} 
	     </table>
          {#
   		{% for f  in force %}
		<p>
                {{f | safe}}
		</p>
		{% endfor %} 
                 #}
            </div>
        </div>  
    </div>
{% endblock %}

